Page MenuHomePhabricator

Numeric anchor in phabricator to link to a comment of a task does not work in IE11
Closed, ResolvedPublic

Description

In T76554 a comment of a task is linked with T76204#802378

But the numeric anchor does not work in IE11 in this case, so the browser does not scroll to the refered comment. It is possible to get a 'c' before like in bugzilla?

Works fine in FireFox.

Event Timeline

Umherirrender raised the priority of this task from to Needs Triage.
Umherirrender updated the task description. (Show Details)
Umherirrender changed Security from none to None.
Umherirrender added a subscriber: Umherirrender.
Aklapper triaged this task as Lowest priority.Dec 3 2014, 7:48 PM

But how would some c help here (and no, it's not easily possible to add that)?
If that's an IE issue, is there some bug report against Microsoft somewhere? Or do you think there's some issue in Phab?
(I wanted to test this myself but remote.modern.ie requires to install a "Remote client" which isn't offered for Linux.)

I assume that's also an upstream issue happening in secure.phabricator.com ? Sigh, I need an IE11 :)

But how would some c help here (and no, it's not easily possible to add that)?
If that's an IE issue, is there some bug report against Microsoft somewhere? Or do you think there's some issue in Phab?
(I wanted to test this myself but remote.modern.ie requires to install a "Remote client" which isn't offered for Linux.)

I assume there is a problem when a anchor starts with a number, but testing this on a mediawiki page shows that it also can work, so this maybe has to do with the doctype or so. Using a letter at the begin seems to work, because the cNNNN from bugzilla was working in IE11.

It is also possible that there is a problem in IE11 when a id= and a name= attribute with the same value exists (on the same element or in the same document).

FriedhelmW added a subscriber: FriedhelmW.EditedFeb 21 2015, 2:51 PM

The piece of HTML is:

<a name="802378" id="802378" class="phabricator-anchor-view"></a>
scfc added a subscriber: scfc.Feb 21 2015, 4:33 PM

In HTML5, id no longer needs to start with a letter while in HTML4 it had to. The W3 validator thinks that Phabricator pages are HTML5, so this seems to be an error in IE11.

@scfc: Is it a problem that the id is not unique? Ids and names share the same namespace.

GOIII added a subscriber: GOIII.EditedFeb 22 2015, 1:23 PM

it seems that in IE11,
https://phabricator.wikimedia.org/T76204#802378
does not work,

It (below) shouldn't "work"...

<a name="802378" id="802378" class="phabricator-anchor-view"></a>

... because that is the link generated "under" each post's timestamp found on the top right. And [I believe] that link string is the one in play for when selecting Quote in the drop-down menu immediately after that timestamp. Its not the actual DIV container holding the entire message body (below) beginning right after the avatar on the left.

while e.g.
https://phabricator.wikimedia.org/T76204#anchor-802378
does.

That's because of the id in....

<div class="phui-timeline-shell anchor-target" id="anchor-802378" data-meta="0_189" data-sigil="transaction">

and has nothing to do with the quote link mentioned above (as far as I can tell).

My guess is that the top DIV container for the entire message body should have been generated more like....

<div class="phui-timeline-shell anchor-target" id="802378" name="anchor-802378" data-meta="0_189" data-sigil="transaction">

... or something similar where the straight id= number without the anchor- prefix appears before the link(s) in the drop down menu do.

Also note: if you manually scroll down to the post being targeted by the #802378 anchor in IE11, you should see the background changed to a cream color thanks to

.anchor-target.phui-timeline-shell {
	background: #fdf5d4;
	padding: 4px;
	margin: -4px;
}

...in spite of the lack of focus that we expected to be opening the page to the targeted post rather than highlighting it IE11.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 5:51 PM
gh87 added a subscriber: gh87.Mar 23 2018, 9:22 PM

I clicked the anchor link to a comment on IE11. It works right now. I think the same goes for T18691#3319134

Aklapper closed this task as Resolved.Mar 24 2018, 10:04 AM

Closing as per last comment. (Thanks for retesting!)